FieldGroup< BaseTypeList_T, Dims_T >::CountFields Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

| CountFields ()
| Ctor.
template<typename T>
void | operator() (const T &vec) const
| Functor.

## Public Attributes

int | count

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::CountFields

Definition at line 977 of file FieldGroup.h.

## Constructor & Destructor Documentation

## CountFields()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::CountFields::CountFields | ( |  | ) |

inline

Ctor.

Definition at line 980 of file FieldGroup.h.

: count(0)
{ }
FieldGroup::CountFields::count
int count
Definition FieldGroup.h:988

References count.

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename T>

void FieldGroup< BaseTypeList_T, Dims_T >::CountFields::operator() | ( | const T & | vec | ) | const

inline

Functor.

Definition at line 985 of file FieldGroup.h.

{ count += vec.size(); }
FieldGroup
Definition FieldGroup.h:304
FieldGroup::size
virtual size_t size() const
The number of fields in the group.
Definition FieldGroup.h:689

References count.

## Member Data Documentation

## count

template<typename BaseTypeList_T, int Dims_T>

int FieldGroup< BaseTypeList_T, Dims_T >::CountFields::count

mutable

Definition at line 988 of file FieldGroup.h.

Referenced by CountFields(), operator()(), FieldGroup< BaseTypeList_T, Dims_T >::setupMinMax(), FieldGroup< BaseTypeList_T, Dims_T >::size(), and FieldGroup< BaseTypeList_T, Dims_T >::sizeMIP().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h